Skip to content
Prividium

tenants

GET /tenants/

GET/tenants/

Search tenants with pagination

Query Parameters

limit
integer·min 1·max 1000·default 10
offset
integer·min 0·max 9007199254740991·default 0

Responses

POST /tenants/

POST/tenants/

Creates a new tenant

Request Body

application/json
nameRequired
string·min 1·max 100
publicKeyRequired
string
defaultRolesRequired
object[]

Responses

GET /tenants/{id}

GET/tenants/{id}

Get tenant by id

Path Parameters

idRequired
string

Responses

DELETE /tenants/{id}

DELETE/tenants/{id}

Updates a tenant by id

Path Parameters

idRequired
string

Responses

GET /tenants/{id}/users

GET/tenants/{id}/users

Get users for a tenant

Path Parameters

idRequired
string

Query Parameters

limit
integer·min 1·max 1000·default 10
offset
integer·min 0·max 9007199254740991·default 0

Responses

GET /tenant-actions/me

GET/tenant-actions/me

Returns data for the current tenant

Responses

GET /tenant-actions/users

GET/tenant-actions/users

Returns the list of users associated with current tenant

Query Parameters

limit
integer·min 1·max 1000·default 10
offset
integer·min 0·max 9007199254740991·default 0

Responses

POST /tenant-actions/users

POST/tenant-actions/users

Creates a user associated with the current tenant

Request Body

application/json
walletAddressesRequired
object[]

displayNameRequired
string

Responses